Package org.apache.any23.writer

## Class TripleFormat

- java.lang.Object
- - org.apache.any23.writer.TripleFormat

-     public class TripleFormat
      extends Object

  Author:
    Hans Brende (hansbrende@apache.org)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TripleFormat.Capabilities` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TripleFormat.Capabilities` | `NONSTANDARD` |
    `static TripleFormat.Capabilities` | `QUADS` |
    `static TripleFormat.Capabilities` | `QUADS_AND_NAMESPACES` |
    `static TripleFormat.Capabilities` | `TRIPLES` |
    `static TripleFormat.Capabilities` | `TRIPLES_AND_NAMESPACES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TripleFormat.Capabilities` | `getCapabilities()` |
    `Optional<Charset>` | `getCharset()` |
    `String` | `getDisplayName()` |
    `Optional<String>` | `getExtension()` |
    `List<String>` | `getExtensions()` |
    `String` | `getMimeType()` |
    `List<String>` | `getMimeTypes()` |
    `Optional<org.eclipse.rdf4j.model.IRI>` | `getStandardIRI()` |
    `static TripleFormat` | `of​(String displayName, Collection<String> mimeTypes, Charset defaultCharset, Collection<String> fileExtensions, String standardIRI, TripleFormat.Capabilities capabilities)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONSTANDARD

          public static final TripleFormat.Capabilities NONSTANDARD

    - #### TRIPLES

          public static final TripleFormat.Capabilities TRIPLES

    - #### QUADS

          public static final TripleFormat.Capabilities QUADS

    - #### TRIPLES_AND_NAMESPACES

          public static final TripleFormat.Capabilities TRIPLES_AND_NAMESPACES

    - #### QUADS_AND_NAMESPACES

          public static final TripleFormat.Capabilities QUADS_AND_NAMESPACES

  - ### Method Detail

    - #### of

          public static TripleFormat of​(String displayName,
                                        Collection<String> mimeTypes,
                                        Charset defaultCharset,
                                        Collection<String> fileExtensions,
                                        String standardIRI,
                                        TripleFormat.Capabilities capabilities)

    - #### getCharset

          public Optional<Charset> getCharset()

    - #### getStandardIRI

          public Optional<org.eclipse.rdf4j.model.IRI> getStandardIRI()

    - #### getMimeTypes

          public List<String> getMimeTypes()

    - #### getMimeType

          public String getMimeType()

    - #### getExtensions

          public List<String> getExtensions()

    - #### getExtension

          public Optional<String> getExtension()

    - #### getCapabilities

          public TripleFormat.Capabilities getCapabilities()

    - #### getDisplayName

          public String getDisplayName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`